# TCL_ExistArray

Return %T if a tcl array exists

## Calling Sequence

    OK=TCL_ExistArray(arrayname [,interp])

## Arguments

arrayname

  character string. Contains the name of the tcl/tk array.

interp

  optional character string parameter. Name of the slave tcl interpreter in which the operation has to be performed. If not provided, it defaults to the main tcl interpreter created by Scilab.

ok

  boolean. %T if arrayname exists.

## Description

This routine allows to test if a tcl array exists.

More information about Tcl/Tk: http://www.tcl.tk/doc/

## Examples

    TCL_ExistVar("A")
    a=["A","B","C";"D","E","F"];
    TCL_SetVar("A",a)
    TCL_ExistVar("A")
    TCL_ExistArray("A")

## See Also

- ScilabEval
- TCL_EvalFile
- TCL_EvalStr
- TCL_GetVar
- TCL_SetVar
- TCL_UnsetVar
- TCL_UpVar
- TCL_CreateSlave